curl --request POST \
--url https://api.example.com/v2/{entity}/{project}/ops \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"source_code": "<string>"
}
'{
"digest": "<string>",
"object_id": "<string>",
"version_index": 123
}Create an op object.
curl --request POST \
--url https://api.example.com/v2/{entity}/{project}/ops \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"source_code": "<string>"
}
'{
"digest": "<string>",
"object_id": "<string>",
"version_index": 123
}Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Request body for creating an Op object via REST API.
This model excludes project_id since it comes from the URL path in RESTful endpoints.
Was this page helpful?